
Foreman - Bug #22515

statics chart links for hostgroup can be wrong

02/06/2018 01:19 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Statistics   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5238

  

Description

currently foreman create a link using search where hostgroup=<full hostgroup name>. if the hostgroup has nested groups under it, it

will leads to an empty result.

Related issues:

Related to Foreman - Feature #1170: Statistics Page - Group by Hostgroups Closed 09/14/2011

Associated revisions

Revision 12ca07b6 - 02/06/2018 03:14 PM - Ohad Levy

fixes #22515 - use hostgroup_title for search in chart links (#5238)

History

#1 - 02/06/2018 01:19 PM - Ohad Levy

- Related to Feature #1170: Statistics Page - Group by Hostgroups added

#2 - 02/06/2018 01:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5238 added

#3 - 02/06/2018 03:14 PM - Marek Hulán

- translation missing: en.field_release set to 330

#4 - 02/08/2018 07:03 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 12ca07b6bca5dd0c27657d2f47a87adfcd7cfb75.
